# norootforbuild

%define name      a52dec
%define version   0.7.4
%define release   6
%define major     0
%define lib       liba52
%define libname   %{lib}-%{major}
%define mandir    %{_mandir}

Summary:        Library for decoding ATSC A/52 streams
Summary(de):    Bibliothek zum dekodieren von ATSC A/52 Streams
Name:           %{name}
Version:        %{version}
Release:        10.8
License:        GPL v2 or later
Group:          Productivity/Multimedia/Sound/Utilities

Source0:        a52dec-0.7.4.tar.bz2

URL:            http://liba52.sourceforge.net/
BuildRoot:      /var/tmp/%{name}-%{version}-%{release}
Prefix:         %{_prefix}
Provides:       a52 = %{version}-%{release}
Obsoletes:      a52 < %{version}-%{release}
BuildRequires:  glibc-devel
BuildRequires:  gcc
BuildRequires:  gzip
Requires:       %{libname} = %{version}-%{release}
Autoreqprov:    On

%description
liba52 is a free library for decoding ATSC A/52 streams.

%description -l de
liba52 ist eine frei Biblothek zum dekodieren von ATSC A/52 Streams.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of a52dec
Summary(de):    Bibliotheken zu a52dec
Provides:       %{lib} = %{version}-%{release}
Obsoletes:      %{lib} < %{version}-%{release}
Provides:       liba52dec0 = %{version}-%{release}
Obsoletes:      liba52dec0 < %{version}-%{release}

%description -n %{libname}
Shared library part of a52dec

%description -n %{libname} -l de
Bibliotheken zu a52dec

%package -n %{lib}-devel
Group:          System/Libraries
Summary:        Header files and static library for the a52dec library
Summary(de):    Header Dateien und statische Bibliotheken für die a52dec Bibliothek
Requires:       %{libname} = %{version}-%{release}
Provides:       liba52dec-devel = %{version}-%{release}
Obsoletes:      liba52dec-devel < %{version}-%{release}
Requires:       glibc-devel
Requires:       gcc

%description -n %{lib}-devel
Header files and static library for the a52dec library

%description -n %{lib}-devel -l de
Header Dateien und statische Bibliotheken für die a52dec Bibliothek

%debug_package


%prep

%setup

%build
%ifarch x86_64 amd64 ia32e
CFLAGS="${RPM_OPT_FLAGS} -fPIC"
%else
CFLAGS="${RPM_OPT_FLAGS}"
%endif
CC=gcc
export CC CFLAGS
%configure --enable-shared
%__make %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

find %{buildroot}%{mandir} -type f -exec gzip -9 {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS HISTORY INSTALL NEWS TODO COPYING
%{_bindir}/*
%{mandir}/man1/*.gz

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/a52dec
%{_libdir}/*.so
%{_libdir}/*.*a

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
